Main Page Widgets Namespaces Book

# Atk::NoOpObject Class Reference

Inheritance diagram for Atk::NoOpObject:

[legend]
List of all members.

## Public Member Functions
virtual | ~NoOpObject ()
AtkNoOpObject* | gobj ()
| Provides access to the underlying C GObject.
const AtkNoOpObject* | gobj () const
| Provides access to the underlying C GObject.
AtkNoOpObject* | gobj_copy ()
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr<Atk::NoOpObject> | wrap (AtkNoOpObject* object, bool take_copy=false)

## Constructor & Destructor Documentation

virtual Atk::NoOpObject::~NoOpObject | ( |  | ) | `[virtual]`

## Member Function Documentation

const AtkNoOpObject* Atk::NoOpObject::gobj | ( |  | ) | const`[inline]`

| Provides access to the underlying C GObject. Reimplemented from Atk::Action.

AtkNoOpObject* Atk::NoOpObject::gobj | ( |  | ) | `[inline]`

| Provides access to the underlying C GObject. Reimplemented from Atk::Action.

AtkNoOpObject* Atk::NoOpObject::gobj_copy | ( |  | ) |

| Reimplemented from Atk::Object.

## Friends And Related Function Documentation

Glib::RefPtr<Atk::NoOpObject> wrap | ( | AtkNoOpObject* | object,
|  | bool | take_copy = false
| ) | `[related]`

The documentation for this class was generated from the following file:

- noopobject.h